package dao

import "code.fnuoos.com/EggPlanet/egg_models.git/src/model"

type LifeOrderDao interface {
	GetLifeOrder(id string) (m *model.LifeOrder, err error)
	FindLifeOrder(page, limit, title, platform, pvdOid, state, startTime, endTime, settleStartTime, settleEndTime string) (*[]model.LifeOrder, error)
	FindLifeOrderAndTotal(page, limit, title, platform, pvdOid, state, startTime, endTime, settleStartTime, settleEndTime string) (*[]model.LifeOrder, int64, error)
}
