package model

type EggEnergyRecruitNewUserReward struct {
	Id           int64  `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid          int64  `json:"uid" xorm:"not null default 0 comment('用户id') BIGINT(20)"`
	RecommendUid int64  `json:"recommend_uid" xorm:"not null default 0 comment('推荐人id') BIGINT(20)"`
	Value        string `json:"value" xorm:"not null default 0.00000000 comment('奖励值') DECIMAL(20,8)"`
	CreateAt     string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt     string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
